export const ReplicationAlreadyInProgress = function (message) {
  Error.call(this);
  this.message = message !== null && message !== void 0 ? message : 'Replication is already in progress';
  this.name = 'ReplicationAlreadyInProgress';

  if (Error.captureStackTrace) {
    Error.captureStackTrace(this, ReplicationAlreadyInProgress);
  } else {
    this.stack = new Error().stack;
  }
};
void (ReplicationAlreadyInProgress.is = error => error != null && error.name === 'ReplicationAlreadyInProgress');
ReplicationAlreadyInProgress.prototype = Object.create(Error.prototype, {
  constructor: {
    enumerable: true,
    value: ReplicationAlreadyInProgress
  }
});
//# sourceMappingURL=replication-errors.js.map