import { nanoid } from 'nanoid';
const saltSize = 10;
export const SET_SECRET_EVENT_TYPE = 'RESOLVE_SET_SECRET';
export const DELETE_SECRET_EVENT_TYPE = 'RESOLVE_DELETE_SECRET';
export function makeSetSecretEvent(id) {
  return {
    type: SET_SECRET_EVENT_TYPE,
    timestamp: 1,
    aggregateId: SET_SECRET_EVENT_TYPE + '_' + id + '_' + nanoid(saltSize),
    aggregateVersion: 1,
    payload: {
      id: id
    }
  };
}
export function makeDeleteSecretEvent(id) {
  return {
    type: DELETE_SECRET_EVENT_TYPE,
    timestamp: 1,
    aggregateId: DELETE_SECRET_EVENT_TYPE + '_' + id + '_' + nanoid(saltSize),
    aggregateVersion: 1,
    payload: {
      id: id
    }
  };
}
//# sourceMappingURL=secret-event.js.map