"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const ConcurrentError = function (aggregateId) {
  Error.call(this);
  this.name = 'ConcurrentError';
  this.message = `Cannot save the event because the aggregate '${aggregateId}' is currently out of date. Please retry later.`;

  if (Error.captureStackTrace) {
    Error.captureStackTrace(this, ConcurrentError);
  } else {
    this.stack = new Error().stack;
  }
};

ConcurrentError.prototype = Object.create(Error.prototype);
var _default = ConcurrentError;
exports.default = _default;
//# sourceMappingURL=concurrent-error.js.map