import { AdapterPoolConnectedProps, Adapter, AdapterFunctions, CommonAdapterFunctions } from './types';
declare const createAdapter: <ConnectedProps extends AdapterPoolConnectedProps, ConnectionDependencies extends unknown, Config extends import("./types").UnbrandProps<{
    snapshotBucketSize?: import("io-ts").Branded<number, import("io-ts").IntBrand> | undefined;
}>>({ maybeThrowResourceError, wrapMethod, wrapEventFilter, wrapDispose, validateEventFilter, loadEvents, importEventsStream, exportEventsStream, incrementalImport, getNextCursor, importSecretsStream, exportSecretsStream, init, drop, gatherSecretsFromEvents, }: CommonAdapterFunctions<ConnectedProps>, { connect, loadEventsByCursor, loadEventsByTimestamp, ensureEventSubscriber, removeEventSubscriber, getEventSubscribers, getLatestEvent, saveEvent, initEvents, initSecrets, initFinal, dropEvents, dropSecrets, dropFinal, dispose, injectEvent, freeze, unfreeze, shapeEvent, loadSnapshot, saveSnapshot, dropSnapshot, beginIncrementalImport, commitIncrementalImport, rollbackIncrementalImport, pushIncrementalImport, getSecret, setSecret, deleteSecret, loadSecrets, injectSecret, replicateEvents, replicateSecrets, setReplicationIterator, setReplicationPaused, setReplicationStatus, getReplicationState, resetReplication, getCursorUntilEventTypes, }: AdapterFunctions<ConnectedProps, ConnectionDependencies, Config>, connectionDependencies: ConnectionDependencies, options: Config) => Adapter;
export default createAdapter;
