/// <reference types="node" />
import { AdapterPoolConnectedProps, AdapterPoolPossiblyUnconnected, ImportOptions, ImportEventsStream } from './types';
export declare const getStringifiedEvent: (params: {
    buffer: Buffer;
    bufferSize: number;
    beginPosition: number;
    endPosition: number;
    encoding: BufferEncoding;
}) => {
    stringifiedEvent: string;
    eventByteLength: number;
};
declare const importEventsStream: <ConnectedProps extends AdapterPoolConnectedProps>(pool: AdapterPoolPossiblyUnconnected<ConnectedProps>, { byteOffset, maintenanceMode, }?: Partial<ImportOptions>) => ImportEventsStream;
export default importEventsStream;
