export const EventstoreFrozenError = function (message) {
  Error.call(this);
  this.message = message !== null && message !== void 0 ? message : 'Event store is frozen';
  this.name = 'EventstoreFrozenError';

  if (Error.captureStackTrace) {
    Error.captureStackTrace(this, EventstoreFrozenError);
  } else {
    this.stack = new Error().stack;
  }
};
void (EventstoreFrozenError.is = error => error != null && error.name === 'EventstoreFrozenError');
EventstoreFrozenError.prototype = Object.create(Error.prototype, {
  constructor: {
    enumerable: true,
    value: EventstoreFrozenError
  }
});
export const AlreadyFrozenError = function (message) {
  Error.call(this);
  this.message = message !== null && message !== void 0 ? message : 'Event store is already frozen';
  this.name = 'AlreadyFrozenError';

  if (Error.captureStackTrace) {
    Error.captureStackTrace(this, AlreadyFrozenError);
  } else {
    this.stack = new Error().stack;
  }
};
void (AlreadyFrozenError.is = error => error != null && error.name === 'AlreadyFrozenError');
AlreadyFrozenError.prototype = Object.create(Error.prototype, {
  constructor: {
    enumerable: true,
    value: AlreadyFrozenError
  }
});
export const AlreadyUnfrozenError = function (message) {
  Error.call(this);
  this.message = message !== null && message !== void 0 ? message : 'Event store is already unfrozen';
  this.name = 'AlreadyUnfrozenError';

  if (Error.captureStackTrace) {
    Error.captureStackTrace(this, AlreadyUnfrozenError);
  } else {
    this.stack = new Error().stack;
  }
};
void (AlreadyUnfrozenError.is = error => error != null && error.name === 'AlreadyUnfrozenError');
AlreadyUnfrozenError.prototype = Object.create(Error.prototype, {
  constructor: {
    enumerable: true,
    value: AlreadyUnfrozenError
  }
});
//# sourceMappingURL=frozen-errors.js.map